List manual test cases
List manual test cases with filtering.
GET
List manual test cases with filtering
Path Parameters
Query Parameters
Last modified on August 13, 2026
List manual test cases with filtering
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List manual test cases with filtering.
curl --request GET \
--url https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"_id": "tcm_tc_6641a1b2c3d4e5f6a7b8c9d0",
"caseId": "TC-1",
"title": "Verify login with valid credentials",
"description": "<string>",
"preconditions": "<string>",
"postconditions": "<string>",
"metadata": {
"suite": {
"_id": "<string>",
"name": "<string>"
},
"lastModifiedBy": {
"name": "<string>",
"email": "<string>"
}
},
"classification": {
"status": "active",
"severity": "critical",
"priority": "high",
"type": "functional",
"layer": "e2e",
"behavior": "positive"
},
"automation": {
"status": "manual",
"isFlaky": true,
"isMuted": true
},
"steps": {
"type": "classic",
"classic": [
{
"step": 123,
"action": "<string>",
"data": "<string>",
"expectedResult": "<string>",
"subSteps": "<array>"
}
],
"gherkin": [
{
"step": 123,
"keyword": "Given",
"text": "<string>",
"subSteps": "<array>"
}
]
},
"tags": [
"<string>"
],
"customFields": {},
"linkedTests": [
{
"_id": "<string>",
"fullTitle": "<string>",
"displayTitle": "<string>",
"linkedAt": "2023-11-07T05:31:56Z",
"source": "manual_link"
}
],
"attachments": [
{
"_id": "<string>",
"fileName": "<string>",
"originalFileName": "<string>",
"fileSize": 123,
"mimeType": "<string>",
"blobUrl": "<string>",
"uploadedAt": "2023-11-07T05:31:56Z",
"stepRef": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"count": 123
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}Was this page helpful?
curl --request GET \
--url https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.testdino.com/api/v1/public/{projectId}/manual-test-cases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"_id": "tcm_tc_6641a1b2c3d4e5f6a7b8c9d0",
"caseId": "TC-1",
"title": "Verify login with valid credentials",
"description": "<string>",
"preconditions": "<string>",
"postconditions": "<string>",
"metadata": {
"suite": {
"_id": "<string>",
"name": "<string>"
},
"lastModifiedBy": {
"name": "<string>",
"email": "<string>"
}
},
"classification": {
"status": "active",
"severity": "critical",
"priority": "high",
"type": "functional",
"layer": "e2e",
"behavior": "positive"
},
"automation": {
"status": "manual",
"isFlaky": true,
"isMuted": true
},
"steps": {
"type": "classic",
"classic": [
{
"step": 123,
"action": "<string>",
"data": "<string>",
"expectedResult": "<string>",
"subSteps": "<array>"
}
],
"gherkin": [
{
"step": 123,
"keyword": "Given",
"text": "<string>",
"subSteps": "<array>"
}
]
},
"tags": [
"<string>"
],
"customFields": {},
"linkedTests": [
{
"_id": "<string>",
"fullTitle": "<string>",
"displayTitle": "<string>",
"linkedAt": "2023-11-07T05:31:56Z",
"source": "manual_link"
}
],
"attachments": [
{
"_id": "<string>",
"fileName": "<string>",
"originalFileName": "<string>",
"fileSize": 123,
"mimeType": "<string>",
"blobUrl": "<string>",
"uploadedAt": "2023-11-07T05:31:56Z",
"stepRef": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"count": 123
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or unknown user PAT"
}
}